Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynAnySeq_var Class Reference

`#include <DynamicAnyC.h>`

List of all members.

## Public Methods
| DynAnySeq_var (void)
| DynAnySeq_var (DynAnySeq *)
| DynAnySeq_var (const DynAnySeq_var &)
| ~DynAnySeq_var (void)
DynAnySeq_var & | operator= (DynAnySeq *)
DynAnySeq_var & | operator= (const DynAnySeq_var &)
DynAnySeq * | operator-> (void)
const DynAnySeq * | operator-> (void) const
| operator const DynAnySeq & () const
| operator DynAnySeq & ()
| operator DynAnySeq & () const
| operator DynAnySeq *& ()
TAO_Object_Manager< DynAny, DynAny_var > | operator[] (CORBA::ULong index)
const DynAnySeq & | in (void) const
DynAnySeq & | inout (void)
DynAnySeq *& | out (void)
DynAnySeq * | _retn (void)
DynAnySeq * | ptr (void) const
## Private Attributes
DynAnySeq * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE DynamicAny::DynAnySeq_var::DynAnySeq_var | ( | void |  | ) |

ACE_INLINE DynamicAny::DynAnySeq_var::DynAnySeq_var | ( | DynAnySeq * | p | ) |

DynamicAny::DynAnySeq_var::DynAnySeq_var | ( | const DynAnySeq_var & |  | ) |

ACE_INLINE DynamicAny::DynAnySeq_var::~DynAnySeq_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE::DynamicAny::DynAnySeq * DynamicAny::DynAnySeq_var::_retn | ( | void |  | ) |

ACE_INLINE const ::DynamicAny::DynAnySeq & DynamicAny::DynAnySeq_var::in | ( | void |  | ) | const

ACE_INLINE::DynamicAny::DynAnySeq & DynamicAny::DynAnySeq_var::inout | ( | void |  | ) |

DynamicAny::DynAnySeq_var::operator const DynAnySeq & | ( |  | ) | const

DynamicAny::DynAnySeq_var::operator DynAnySeq & | ( |  | ) | const

DynamicAny::DynAnySeq_var::operator DynAnySeq & | ( |  | ) |

DynamicAny::DynAnySeq_var::operator DynAnySeq *& | ( |  | ) |

ACE_INLINE const ::DynamicAny::DynAnySeq * DynamicAny::DynAnySeq_var::operator-> | ( | void |  | ) | const

ACE_INLINE::DynamicAny::DynAnySeq * DynamicAny::DynAnySeq_var::operator-> | ( | void |  | ) |

DynAnySeq_var& DynamicAny::DynAnySeq_var::operator= | ( | const DynAnySeq_var & |  | ) |

ACE_INLINE DynamicAny::DynAnySeq_var & DynamicAny::DynAnySeq_var::operator= | ( | DynAnySeq * | p | ) |

DynamicAny::DynAny_var DynamicAny::DynAnySeq_var::operator[] | ( | CORBA::ULong | index | ) |

ACE_INLINE::DynamicAny::DynAnySeq *& DynamicAny::DynAnySeq_var::out | ( | void |  | ) |

ACE_INLINE::DynamicAny::DynAnySeq * DynamicAny::DynAnySeq_var::ptr | ( | void |  | ) | const

## Member Data Documentation

DynAnySeq* DynamicAny::DynAnySeq_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.i